WFS client does not store Username and Password
2012-11-02 10:22 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15797
Description

Tested on both qggis 1.8 and master and Windows and Linux.

The WFS client does not store the username and password when the service is behind simple httpd authentication, so it always asks for
the credentials.

Does not happen in the WMS and WCS clients.

History

#1 - 2013-05-27 12:55 AM - Chris Berkhout

Might be better to call this "WFS client does not use Username and Password".

In my experience QGIS doesn't keep asking for credentials again during the same session, but it does when it is restarted and a new connection is made to
the saved server (which has authentication details saved and visible via the edit button).

Not using the given credentials on the first request (ie. only doing authentication if an anonymous request is denied) means that we have to resort to tricky
workarounds (http:/lists.osgeo.org/pipermail/qgis-user/2013-May/022544.html) to get access to protected layers on servers that have some public layers.

#2 - 2014-06-12 03:28 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed

this has been fixed recently.
